Get the policy version by version tag
curl --request GET \
--url https://mycluster.domino.tech/api/governance/v1/policy-versions/{id}import requests
url = "https://mycluster.domino.tech/api/governance/v1/policy-versions/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/api/governance/v1/policy-versions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowProjectApprovers": true,
"classificationArtifactMap": {},
"classificationRule": "<string>",
"createdAt": "<string>",
"createdBy": {},
"enforceSequentialOrder": true,
"gates": [
{
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"resources": [
{
"failOpen": true,
"parameters": {}
}
]
}
],
"id": "<string>",
"mandatoryBundleIds": [
"<string>"
],
"notes": "<string>",
"policyId": "<string>",
"simpleClassificationQuestionId": "<string>",
"stages": [
{
"approvals": [
{
"approvers": [
{
"editable": true,
"id": "<string>",
"name": "<string>",
"showByDefault": true,
"fromOrganizationUserId": "<string>",
"isOrganizationUser": true
}
],
"evidence": {
"artifacts": [
{
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"visible": true
},
"id": "<string>",
"name": "<string>",
"policyEntityId": "<string>",
"revalidationConfig": {
"openWindowDaysBefore": 2,
"recurring": {
"every": 2,
"startDate": "<string>"
}
}
}
],
"evidenceSet": [
{
"artifacts": [
{
"details": {},
"id": "<string>",
"policyEntityId": "<string>",
"required": true,
"visibilityRule": "<string>",
"visible": true
}
],
"createdAt": "<string>",
"description": "<string>",
"externalId": "<string>",
"id": "<string>",
"name": "<string>",
"policyId": "<string>",
"policyVersionId": "<string>",
"visible": true
}
],
"id": "<string>",
"name": "<string>",
"notifyOnTransition": true,
"policyEntityId": "<string>",
"policyVersionId": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": {},
"upgradeStrategy": {
"approvals": {}
},
"version": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}{
"code": "BUNDLE_REQUIRES_POLICY",
"message": "<string>"
}policy-versions
Get the policy version by version tag
Get the policy version by version tag
GET
/
api
/
governance
/
v1
/
policy-versions
/
{id}
Get the policy version by version tag
Path Parameters
ID of the policy version to retrieve
Response
Policy version
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Draft, Published, Archived Show child attributes
Show child attributes
Related topics
Get the policy version definition by version tagReplace a policy version in a bundleList Policy VersionsGet apimodelservingv1modelapis versions exportlogsWas this page helpful?
⌘I